Page MenuHomePhabricator

[libcxx] [test] Fix Clang -Wunused-local-typedef, part 3/3.
ClosedPublic

Authored by STL_MSFT on Jan 25 2017, 10:35 AM.

Details

Summary

[libcxx] [test] Fix Clang -Wunused-local-typedef, part 3/3.

test/std/strings/string.classes/typedefs.pass.cpp
Actually test what basic_string's typedefs stand for.

test/std/utilities/meta/meta.trans/meta.trans.other/result_of11.pass.cpp
NotDerived and ND were completely unused.

test/std/utilities/utility/pairs/pairs.pair/default.pass.cpp
P2 was mistakenly not being used. Yes, that's
right: -Wunused-local-typedef CAUGHT A MISTAKE! AMAZING!

Diff Detail

Event Timeline

STL_MSFT created this revision.Jan 25 2017, 10:35 AM
EricWF accepted this revision.Feb 4 2017, 2:55 PM
EricWF added inline comments.
test/std/utilities/utility/pairs/pairs.pair/default.pass.cpp
52

Oh wow! these changes actually found a bug!

This revision is now accepted and ready to land.Feb 4 2017, 2:55 PM
STL_MSFT closed this revision.Feb 5 2017, 3:05 PM